clang-tools 10.0.0

Namespaces | Macros | Functions
FindSymbols.cpp File Reference
`#include "FindSymbols.h"`
`#include "AST.h"`
`#include "FuzzyMatch.h"`
`#include "Logger.h"`
`#include "ParsedAST.h"`
`#include "Quality.h"`
`#include "SourceCode.h"`
`#include "index/Index.h"`
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/Index/IndexDataConsumer.h"`
`#include "clang/Index/IndexSymbol.h"`
`#include "clang/Index/IndexingAction.h"`
`#include "llvm/Support/FormatVariadic.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/ScopedPrinter.h"`
Include dependency graph for FindSymbols.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Macros
#define | DEBUG_TYPE "FindSymbols"

## Functions
llvm::Expected< Location > | clang::clangd::symbolToLocation (const Symbol &Sym, llvm::StringRef HintPath)
| Helper function for deriving an LSP Location for a Symbol. More...
llvm::Expected< std::vector< SymbolInformation > > | clang::clangd::getWorkspaceSymbols (llvm::StringRef Query, int Limit, const SymbolIndex *const Index, llvm::StringRef HintPath)
| Searches for the symbols matching `Query`. More...
llvm::Expected< std::vector< DocumentSymbol > > | clang::clangd::getDocumentSymbols (ParsedAST &AST)
| Retrieves the symbols contained in the "main file" section of an AST in the same order that they appear. More...

## Macro Definition Documentation

## ◆ DEBUG_TYPE

#define DEBUG_TYPE "FindSymbols"

Definition at line 25 of file FindSymbols.cpp.